{% extends 'base.html.twig' %}

{% block title %}Todos los libros{% endblock %}

{% block stylesheets %}
{% endblock %}
{% block body %}
    <style>
        .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
        .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
    </style>

    <h1 class="titulo">Todos los libros</h1>
    <div class="container">
        {% for libro in libros %}
            <div class="card" style="width: 18rem;">
                <img src="data:image/jpg;base64,{{fotos[libro.idLibro]}}" class="card-img-top" alt="...">
                <div class="card-body">
                    <h5 class="card-title">{{libro.titulo}}</h5>
                    <p class="card-text">
                    <ul>
                        <li>Autor:
                            <ul>
                                {% for autor in libro.idAutor %}
                                    <li>{{autor.autor}}</li>
                                    {% endfor %}    
                            </ul>
                        </li>
                        <li>Editorial:
                            {{libro.idEditorial.editorial}}
                        </li>
                        <li>Año Publicación: {{libro.anio}}</li>
                    </ul>
                    </p>
                    <a href="{{path('libro_detail',{'id':libro.idLibro})}}" class="btn btn-primary">Ver detalles</a>
                </div>
            </div>
        {%endfor%}
    </div>
{% endblock %}
{% block javascripts %}
    <script>

        $("#busqueda_input").keyup(function(){
        busqueda = $(this).val();
                console.log(busqueda);
                $.ajax({
                    type:'POST',
                    url:'{{path('libro_busqueda')}}',
                    data:{'buscar':busqueda},
                    beforeSend:function(){
                        $('.container').html('<div class="spinner-grow" style="width: 3rem; height: 3rem; margin-top:150px" role="status"></div>');
                    },
                    success:function(data){
                        $('.container').html(data);
                    }
                });
        });

    </script>
{% endblock %}

